#include "fabgl.h"
#define FABGL_FONT_INCLUDE_DEFINITION
#include "Arial48.h"

fabgl::VGA16Controller DisplayController;
Canvas cv(&DisplayController);
int i=0;

void setup() {
  DisplayController.begin();
  DisplayController.setResolution(VGA_400x300_60Hz);

  cv.setBrushColor(Color::Blue);
  cv.clear();

  cv.setPenColor(Color::White);
  cv.selectFont(&fabgl::FONT_Arial48);
}

void loop() {
  cv.fillRectangle(5, 10, 130, 60);
  cv.drawTextFmt(5, 10, "%02d:%02d", i,i);
  i++;
  delay(1000);
}
